Skip to main content
POST
Record Mcp Tool

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'

Body

application/json

Input for recording a native MCP tool call from apigene-copilot.

tool_name
string
required

MCP tool name (e.g. get_design_context).

mcp_server_name
string
required

MCP server / app name.

result
any
required

Tool result (content array or object with isError, error, content).

user_input
string
required

User message that led to this tool call.

arguments
Arguments · object | null

Tool call arguments.

duration_seconds
number | null

Tool execution duration in seconds.

conversation_id
string | null

Thread/conversation ID for correlation.

client_source
string | null
default:apigene-copilot

Client that initiated the call.

Response

Successful Response